Index · Directives · Python · libudev · gudev systemd 209

## Name

systemd-hostnamed.service, systemd-hostnamed — Host name bus mechanism

## Synopsis

`systemd-hostnamed.service`

`/usr/lib/systemd/systemd-hostnamed`

## Description

`systemd-hostnamed` is a system service that may be used as a mechanism to change the system's hostname. `systemd-hostnamed` is automatically activated on request and terminates itself when it is unused.

The tool hostnamectl(1) is a command-line client to this service.

See the developer documentation for information about the APIs `systemd-hostnamed` provides.

## See Also

systemd(1), hostname(5), machine-info(5), hostnamectl(1), sethostname(2)